Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLFrameHyperlinkEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.swing.event.HyperlinkEvent
                  |
                  +--javax.swing.text.html.HTMLFrameHyperlinkEvent

All Implemented Interfaces:
  Serializable

public class HTMLFrameHyperlinkEvent
extends HyperlinkEvent

HTMLFrameHyperlinkEvent is used to notify interested parties that link was activated in a frame.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.event.HyperlinkEvent
`HyperlinkEvent.EventType`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, Element sourceElement, String targetFrame)` Creates a new object representing a hypertext link event.
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String targetFrame)` Creates a new object representing a html frame hypertext link event.
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, String targetFrame)` Creates a new object representing a hypertext link event.
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, String targetFrame)` Creates a new object representing a hypertext link event.

Method Summary
`Element` | `getSourceElement()` returns the element that corresponds to the source of the event.
`String` | `getTarget()` returns the target for the link.

Methods inherited from class javax.swing.event.HyperlinkEvent
`getDescription, getEventType, getURL`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLFrameHyperlinkEvent

    public HTMLFrameHyperlinkEvent(Object source,
                                   HyperlinkEvent.EventType type,
                                   URL targetURL,
                                   String targetFrame)

  Creates a new object representing a html frame hypertext link event.
  Parameters:
    `source` - the object responsible for the event
    `type` - the event type
    `targetURL` - the affected URL
    `targetFrame` - the Frame to display the document in

### HTMLFrameHyperlinkEvent

    public HTMLFrameHyperlinkEvent(Object source,
                                   HyperlinkEvent.EventType type,
                                   URL targetURL,
                                   String desc,
                                   String targetFrame)

  Creates a new object representing a hypertext link event.
  Parameters:
    `source` - the object responsible for the event
    `type` - the event type
    `targetURL` - the affected URL
    `desc` - a description
    `targetFrame` - the Frame to display the document in

### HTMLFrameHyperlinkEvent

    public HTMLFrameHyperlinkEvent(Object source,
                                   HyperlinkEvent.EventType type,
                                   URL targetURL,
                                   Element sourceElement,
                                   String targetFrame)

  Creates a new object representing a hypertext link event.
  Parameters:
    `source` - the object responsible for the event
    `type` - the event type
    `targetURL` - the affected URL
    `sourceElement` - the element that corresponds to the source of the event
    `targetFrame` - the Frame to display the document in

### HTMLFrameHyperlinkEvent

    public HTMLFrameHyperlinkEvent(Object source,
                                   HyperlinkEvent.EventType type,
                                   URL targetURL,
                                   String desc,
                                   Element sourceElement,
                                   String targetFrame)

  Creates a new object representing a hypertext link event.
  Parameters:
    `source` - the object responsible for the event
    `type` - the event type
    `targetURL` - the affected URL
    `desc` - a desription
    `sourceElement` - the element that corresponds to the source of the event
    `targetFrame` - the Frame to display the document in

Method Detail

### getSourceElement

    public Element getSourceElement()

  returns the element that corresponds to the source of the event. This would always be the leaf element whose tag is HTML.Tag.FRAME.

### getTarget

    public String getTarget()

  returns the target for the link.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.